%define oname   pylibefl
%define module  efl

Summary:	Python bindings for the EFL
Name:		python-%{module}
Version:	1.19.0
Release:	%mkrel 2
License:	LGPLv3+
Group:		Development/Python
Url:		https://download.enlightenment.org/rel/bindings/python
Source0:	python-%{module}-%{version}.tar.gz

BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	pkgconfig(dbus-python)
BuildRequires:	pkgconfig(ecore)
BuildRequires:	pkgconfig(elementary)

Provides:	%{oname} = %{version}-%{release}
Obsoletes:	%{oname} < 1.18.0-1

%description
Python bindings for the EFL library.

%package -n python3-%{module}
Summary:	Python 3 bindings for the EFL
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n python3-%{module}
Python 3 bindings for the EFL library.

%prep
%setup -q

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%{python2_sitearch}/efl
%{python2_sitearch}/python_efl-*.egg-info

%files -n python3-%{module}
%{python3_sitearch}/efl
%{python3_sitearch}/python_efl-*.egg-info


%changelog
* Thu May 25 2017 eatdirt <eatdirt> 1.19.0-2.mga6
+ Revision: 1104529
- Rebuild for new efl

* Tue May 02 2017 eatdirt <eatdirt> 1.19.0-1.mga6
+ Revision: 1098619
- Upgrade to version 1.19.0

* Mon Jan 23 2017 eatdirt <eatdirt> 1.18.0-2.mga6
+ Revision: 1083144
- Rebuild for new efl

* Fri Nov 25 2016 eatdirt <eatdirt> 1.18.0-1.mga6
+ Revision: 1070109
- Upgrade to version 1.18.0

* Mon Apr 18 2016 daviddavid <daviddavid> 1.17.0-2.mga6
+ Revision: 1003469
- use new python macros

* Mon Apr 18 2016 trem <trem> 1.17.0-1.mga6
+ Revision: 1003446
- python-efl: bump version to 1.17.0

* Fri Feb 12 2016 umeabot <umeabot> 1.15.0-3.mga6
+ Revision: 958571
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.15.0-2.mga6
+ Revision: 888764
- rebuild for python 3.5

* Mon Aug 10 2015 trem <trem> 1.15.0-1.mga6
+ Revision: 862335
- python-efl: bump version to 1.15.0

* Wed Oct 15 2014 umeabot <umeabot> 1.11.0-3.mga5
+ Revision: 745612
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

  + tv <tv>
    - rebuild for missing pythoneggs deps

  + trem <trem>
    - bump version to 0.11.0

* Mon Jul 14 2014 trem <trem> 1.10.0-1.mga5
+ Revision: 652113
- bump to 1.10.0

* Sat May 31 2014 pterjan <pterjan> 1.9.0-3.mga5
+ Revision: 628623
- Rebuild for new Python

* Sun Apr 20 2014 trem <trem> 1.9.0-2.mga5
+ Revision: 617162
- some spec cleanup (thanks philippem)
- add support of python 3 (thanks philippem)

* Sun Mar 09 2014 trem <trem> 1.9.0-1.mga5
+ Revision: 601554
- imported package python-efl

